%define upstream_name	 Algorithm-C3
%define upstream_version 0.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    A module for merging hierarchies using the C3 algorithm
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Algorithm/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp) >= 0.10.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
This module implements the C3 algorithm. Most of the uses for C3
revolve around class building and metamodels, but it could also be
used for things like dependency resolution as well since it tends to
do such a nice job of preserving local precendence orderings.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor destdir=%{buildroot}
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Algorithm
%{_mandir}/man*/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.100.0-5.mga6
+ Revision: 1022230
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.100.0-4.mga6
+ Revision: 944771
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-3.mga5
+ Revision: 745530
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.100.0-2.mga5
+ Revision: 683436
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 sander85 <sander85> 0.100.0-1.mga5
+ Revision: 664027
- update to 0.10

* Mon Mar 03 2014 jquelin <jquelin> 0.90.0-1.mga5
+ Revision: 598665
- update to 0.09

* Fri Oct 18 2013 umeabot <umeabot> 0.80.0-3.mga4
+ Revision: 508987
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-2.mga3
+ Revision: 362844
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 21998
- cleaning spec file
- imported package perl-Algorithm-C3

